Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor Namespace Reference

## Compounds
class | PortableInterceptor::_TAO_Unbounded_Valuetype_Sequence_PortableInterceptor_ObjectReferenceTemplateSeq
interface | PortableInterceptor::ClientRequestInfo
class | PortableInterceptor::ClientRequestInfo_out
class | PortableInterceptor::ClientRequestInfo_var
interface | PortableInterceptor::ClientRequestInterceptor
class | PortableInterceptor::ClientRequestInterceptor_out
class | PortableInterceptor::ClientRequestInterceptor_var
interface | PortableInterceptor::Current
class | PortableInterceptor::Current_out
class | PortableInterceptor::Current_var
class | PortableInterceptor::Interceptor_out
class | PortableInterceptor::Interceptor_var
class | PortableInterceptor::IORInfo_out
class | PortableInterceptor::IORInfo_var
class | PortableInterceptor::IORInterceptor_out
class | PortableInterceptor::IORInterceptor_var
interface | PortableInterceptor::ORBInitializer
class | PortableInterceptor::ORBInitializer_out
class | PortableInterceptor::ORBInitializer_var
exception | PortableInterceptor::ORBInitInfo::InvalidName
exception | PortableInterceptor::ORBInitInfo::DuplicateName
exception | PortableInterceptor::ForwardRequest
interface | PortableInterceptor::Interceptor
exception | PortableInterceptor::InvalidSlot
interface | PortableInterceptor::IORInfo
interface | PortableInterceptor::IORInterceptor
interface | PortableInterceptor::ObjectReferenceFactory
class | PortableInterceptor::ObjectReferenceFactory_out
class | PortableInterceptor::ObjectReferenceFactory_var
interface | PortableInterceptor::ObjectReferenceTemplate
class | PortableInterceptor::ObjectReferenceTemplate_out
class | PortableInterceptor::ObjectReferenceTemplate_var
class | PortableInterceptor::ObjectReferenceTemplateSeq
class | PortableInterceptor::ObjectReferenceTemplateSeq_out
class | PortableInterceptor::ObjectReferenceTemplateSeq_var
interface | PortableInterceptor::ORBInitInfo
class | PortableInterceptor::ORBInitInfo_out
class | PortableInterceptor::ORBInitInfo_var
interface | PortableInterceptor::PolicyFactory
class | PortableInterceptor::PolicyFactory_out
class | PortableInterceptor::PolicyFactory_var
interface | PortableInterceptor::RequestInfo
class | PortableInterceptor::RequestInfo_out
class | PortableInterceptor::RequestInfo_var
interface | PortableInterceptor::ServerRequestInfo
class | PortableInterceptor::ServerRequestInfo_out
class | PortableInterceptor::ServerRequestInfo_var
interface | PortableInterceptor::ServerRequestInterceptor
class | PortableInterceptor::ServerRequestInterceptor_out
class | PortableInterceptor::ServerRequestInterceptor_var
## Typedefs
typedef string | ServerId
typedef string | ORBId
typedef CORBA::StringSeq | AdapterName
typedef CORBA::OctetSeq | ObjectId
typedef sequence< ObjectReferenceTemplate > | ObjectReferenceTemplateSeq
typedef long | AdapterManagerId
typedef short | AdapterState
typedef CORBA::String_var | ServerId_var
typedef CORBA::String_out | ServerId_out
typedef CORBA::String_var | ORBId_var
typedef CORBA::String_out | ORBId_out
typedef CORBA::StringSeq_var | AdapterName_var
typedef CORBA::StringSeq_out | AdapterName_out
typedef CORBA::OctetSeq_var | ObjectId_var
typedef CORBA::OctetSeq_out | ObjectId_out
typedef ObjectReferenceFactory * | ObjectReferenceFactory_ptr
typedef ObjectReferenceTemplate * | ObjectReferenceTemplate_ptr
typedef CORBA::Long_out | AdapterManagerId_out
typedef CORBA::Short_out | AdapterState_out
typedef short | ReplyStatus
typedef unsigned long | SlotId
typedef Interceptor * | Interceptor_ptr
typedef CORBA::Short_out | ReplyStatus_out
typedef CORBA::ULong_out | SlotId_out
typedef Current * | Current_ptr
typedef RequestInfo * | RequestInfo_ptr
typedef ClientRequestInfo * | ClientRequestInfo_ptr
typedef ServerRequestInfo * | ServerRequestInfo_ptr
typedef ClientRequestInterceptor * | ClientRequestInterceptor_ptr
typedef ServerRequestInterceptor * | ServerRequestInterceptor_ptr
typedef IORInfo * | IORInfo_ptr
typedef IORInterceptor * | IORInterceptor_ptr
typedef PolicyFactory * | PolicyFactory_ptr
typedef ORBInitInfo * | ORBInitInfo_ptr
typedef ORBInitializer * | ORBInitializer_ptr
## Functions
TAO_NAMESPACE_STORAGE_CLASS void | register_orb_initializer (ORBInitializer_ptr init TAO_ENV_ARG_DECL_WITH_DEFAULTS)
| Register an ORBInitializer with the global ORBInitializer table. More...
## Variables
typeprefix PortableInterceptor omg | org
const AdapterState | HOLDING = 0
const AdapterState | ACTIVE = 1
const AdapterState | DISCARDING = 2
const AdapterState | INACTIVE = 3
const AdapterState | NON_EXISTENT = 4
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_ServerId
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_ORBId
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_AdapterName
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_ObjectId
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_ObjectReferenceFactory
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_ObjectReferenceTemplate
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_ObjectReferenceTemplateSeq
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_AdapterManagerId
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_AdapterState
const ReplyStatus | SUCCESSFUL = 0
const ReplyStatus | SYSTEM_EXCEPTION = 1
const ReplyStatus | USER_EXCEPTION = 2
const ReplyStatus | LOCATION_FORWARD = 3
const ReplyStatus | LOCATION_FORWARD_PERMANENT = 4
const ReplyStatus | TRANSPORT_RETRY = 5
const ReplyStatus | UNKNOWN = 6
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_ForwardRequest
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_ReplyStatus
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_SlotId
TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr | _tc_InvalidSlot

## Typedef Documentation

typedef CORBA::Long PortableInterceptor::AdapterManagerId

typedef CORBA::Long_out PortableInterceptor::AdapterManagerId_out

typedef CORBA::StringSeq PortableInterceptor::AdapterName

typedef CORBA::StringSeq_out PortableInterceptor::AdapterName_out

typedef CORBA::StringSeq_var PortableInterceptor::AdapterName_var

typedef CORBA::Short PortableInterceptor::AdapterState

typedef CORBA::Short_out PortableInterceptor::AdapterState_out

typedef ClientRequestInfo* PortableInterceptor::ClientRequestInfo_ptr

typedef ClientRequestInterceptor* PortableInterceptor::ClientRequestInterceptor_ptr

typedef Current* PortableInterceptor::Current_ptr

typedef Interceptor* PortableInterceptor::Interceptor_ptr

typedef IORInfo* PortableInterceptor::IORInfo_ptr

typedef IORInterceptor* PortableInterceptor::IORInterceptor_ptr

typedef CORBA::OctetSeq PortableInterceptor::ObjectId

typedef CORBA::OctetSeq_out PortableInterceptor::ObjectId_out

typedef CORBA::OctetSeq_var PortableInterceptor::ObjectId_var

typedef ObjectReferenceFactory* PortableInterceptor::ObjectReferenceFactory_ptr

typedef ObjectReferenceTemplate* PortableInterceptor::ObjectReferenceTemplate_ptr

typedef sequence<ObjectReferenceTemplate> PortableInterceptor::ObjectReferenceTemplateSeq

typedef char * PortableInterceptor::ORBId

typedef CORBA::String_out PortableInterceptor::ORBId_out

typedef CORBA::String_var PortableInterceptor::ORBId_var

typedef ORBInitializer* PortableInterceptor::ORBInitializer_ptr

typedef ORBInitInfo* PortableInterceptor::ORBInitInfo_ptr

typedef PolicyFactory* PortableInterceptor::PolicyFactory_ptr

typedef CORBA::Short PortableInterceptor::ReplyStatus

typedef CORBA::Short_out PortableInterceptor::ReplyStatus_out

typedef RequestInfo* PortableInterceptor::RequestInfo_ptr

typedef char * PortableInterceptor::ServerId

typedef CORBA::String_out PortableInterceptor::ServerId_out

typedef CORBA::String_var PortableInterceptor::ServerId_var

typedef ServerRequestInfo* PortableInterceptor::ServerRequestInfo_ptr

typedef ServerRequestInterceptor* PortableInterceptor::ServerRequestInterceptor_ptr

typedef CORBA::ULong PortableInterceptor::SlotId

typedef CORBA::ULong_out PortableInterceptor::SlotId_out

## Function Documentation

void PortableInterceptor::register_orb_initializer | ( | PortableInterceptor::ORBInitializer_ptr init | ACE_ENV_ARG_DECL | ) |

| Register an ORBInitializer with the global ORBInitializer table.

## Variable Documentation

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableInterceptor::_tc_AdapterManagerId

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableInterceptor::_tc_AdapterName

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableInterceptor::_tc_AdapterState

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableInterceptor::_tc_ForwardRequest

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableInterceptor::_tc_InvalidSlot

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableInterceptor::_tc_ObjectId

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableInterceptor::_tc_ObjectReferenceFactory

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableInterceptor::_tc_ObjectReferenceTemplate

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableInterceptor::_tc_ObjectReferenceTemplateSeq

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableInterceptor::_tc_ORBId

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableInterceptor::_tc_ReplyStatus

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableInterceptor::_tc_ServerId

TAO_NAMESPACE_STORAGE_CLASS ::CORBA::TypeCode_ptr PortableInterceptor::_tc_SlotId

TAO_NAMESPACE_STORAGE_CLASS const CORBA::Short PortableInterceptor::ACTIVE = 1

TAO_NAMESPACE_STORAGE_CLASS const CORBA::Short PortableInterceptor::DISCARDING = 2

TAO_NAMESPACE_STORAGE_CLASS const CORBA::Short PortableInterceptor::HOLDING = 0

TAO_NAMESPACE_STORAGE_CLASS const CORBA::Short PortableInterceptor::INACTIVE = 3

TAO_NAMESPACE_STORAGE_CLASS const CORBA::Short PortableInterceptor::LOCATION_FORWARD = 3

TAO_NAMESPACE_STORAGE_CLASS const CORBA::Short PortableInterceptor::LOCATION_FORWARD_PERMANENT = 4

TAO_NAMESPACE_STORAGE_CLASS const CORBA::Short PortableInterceptor::NON_EXISTENT = 4

typeprefix PortableInterceptor omg PortableInterceptor::org

TAO_NAMESPACE_STORAGE_CLASS const CORBA::Short PortableInterceptor::SUCCESSFUL = 0

TAO_NAMESPACE_STORAGE_CLASS const CORBA::Short PortableInterceptor::SYSTEM_EXCEPTION = 1

TAO_NAMESPACE_STORAGE_CLASS const CORBA::Short PortableInterceptor::TRANSPORT_RETRY = 5

const ReplyStatus PortableInterceptor::UNKNOWN = 6

TAO_NAMESPACE_STORAGE_CLASS const CORBA::Short PortableInterceptor::USER_EXCEPTION = 2